import React, { useState } from 'react';
import {Text, View} from 'react-native';
import RollCallView from './view';
const RollCall = (props) =>{
    const [dataRollCall, setDataRollCall] = useState([
    {
      id: 1, // FEATURE: Thêm unique ID
      class_code: 'ADCV126',
      subject_name: 'An ninh mạng',
      total_lessons: '17/17',
      absent_count: '1/17(10%)'
    },
    {
      id: 2, // FEATURE: Thêm unique ID
      class_code: 'ADCV127',
      subject_name: 'Lập trình di động',
      total_lessons: '15/17',
      absent_count: '2/17(15%)'
    },
    {
      id: 3, // FEATURE: Thêm unique ID
      class_code: 'ADCV128',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
    },
    {
      id: 4, // FEATURE: Thêm unique ID
      class_code: 'ADCV129',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
    },
    {
      id: 5, // FEATURE: Thêm unique ID
      class_code: 'ADCV130',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
    },
    {
      id: 6, // FEATURE: Thêm unique ID
      class_code: 'ADCV131',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
    },
    {
      id: 7, // FEATURE: Thêm unique ID
      class_code: 'ADCV132',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
    },
    {
      id: 8, // FEATURE: Thêm unique ID
      class_code: 'ADCV133',
      subject_name: 'Cơ sở dữ liệu',
      total_lessons: '16/17',
      absent_count: '1/17(8%)'
      }
  ]);
    return(
        <RollCallView 
            dataRollCall={dataRollCall}
        />
    )
};

export default RollCall;
